[arch-commits] CVS update of core/base/glibc (4 files)
andyrtr at archlinux.org
andyrtr at archlinux.org
Fri Nov 2 18:20:38 UTC 2007
Date: Friday, November 2, 2007 @ 14:20:38
Author: andyrtr
Path: /home/cvs-core/core/base/glibc
Added: locale.gen.txt (1.1)
Modified: ChangeLog (1.1 -> 1.2) PKGBUILD (1.74 -> 1.75)
glibc.install (1.7 -> 1.8)
upgpkg: glibc 2.7-4
disabled two broken locales, genrate /etc/locale.gen withing PKGBUILD, see ChangeLog for more
----------------+
ChangeLog | 6 ++++++
PKGBUILD | 33 +++++++++++++++++++++++----------
glibc.install | 5 +++++
locale.gen.txt | 23 +++++++++++++++++++++++
4 files changed, 57 insertions(+), 10 deletions(-)
Index: core/base/glibc/ChangeLog
diff -u core/base/glibc/ChangeLog:1.1 core/base/glibc/ChangeLog:1.2
--- core/base/glibc/ChangeLog:1.1 Wed Oct 31 20:00:57 2007
+++ core/base/glibc/ChangeLog Fri Nov 2 14:20:38 2007
@@ -1,3 +1,9 @@
+glibc 2.7-4
+- extract /etc/locale.gen from sources to have all new locales supported
+- mask other broken locales / added a comment to post.install message
+- apply changes from Debian 2.7-exp7 pkg
+ to fix some broken locales
+
glibc 2.7-3
- removed locale/check-unknown-symbols.diff
localedata/tailor-iso14651_t1.diff partly
Index: core/base/glibc/PKGBUILD
diff -u core/base/glibc/PKGBUILD:1.74 core/base/glibc/PKGBUILD:1.75
--- core/base/glibc/PKGBUILD:1.74 Wed Oct 31 20:00:57 2007
+++ core/base/glibc/PKGBUILD Fri Nov 2 14:20:38 2007
@@ -1,8 +1,8 @@
-# $Id: PKGBUILD,v 1.74 2007/11/01 00:00:57 andyrtr Exp $
+# $Id: PKGBUILD,v 1.75 2007/11/02 18:20:38 andyrtr Exp $
# Maintainer: Jan de Groot <jgc at archlinux.org>
pkgname=glibc
pkgver=2.7
-pkgrel=3
+pkgrel=4
install=glibc.install
backup=(etc/locale.gen)
pkgdesc="GNU C Library"
@@ -15,15 +15,15 @@
replaces=('glibc-xen')
source=(http://ftp.gnu.org/gnu/glibc/glibc-${pkgver}.tar.bz2
http://ftp.gnu.org/gnu/glibc/glibc-libidn-${pkgver}.tar.bz2
- ftp://ftp.archlinux.org/other/glibc-patches-2.7-1.tar.bz2
+ ftp://ftp.archlinux.org/other/glibc-patches-2.7-3.tar.bz2
nscd
- locale.gen
+ locale.gen.txt
locale-gen)
md5sums=('065c5952b439deba40083ccd67bcc8f7'
'226809992fb1f3dc6ea23e0f26952ea4'
- 'bd3175370a5a15262d0b11ef14614207'
+ 'aa48afa0f4c0a2859434fb667dccc8d6'
'b587ee3a70c9b3713099295609afde49'
- 'aa5654b897b7351cd6c0e21cb4b3d25a'
+ '07ac979b6ab5eeb778d55f041529d623'
'476e9113489f93b348b21e144b6a8fcf')
build() {
@@ -31,10 +31,10 @@
mv ../glibc-libidn-${pkgver} ./libidn
# some important patches from Debian
- patch -Np0 -i ${startdir}/src/patches/locale.patch || return 1
- patch -Np0 -i ${startdir}/src/patches/weekday.patch || return 1
+ patch -Np0 -i ${startdir}/src/glibc-patches/locale.patch || return 1
+ patch -Np0 -i ${startdir}/src/glibc-patches/weekday.patch || return 1
- patch -Np1 -i ${startdir}/src/patches/glibc-2.5-localedef_segfault-1.patch || return 1
+ patch -Np1 -i ${startdir}/src/glibc-patches/glibc-2.5-localedef_segfault-1.patch || return 1
mkdir -p ${startdir}/pkg/etc
@@ -68,7 +68,6 @@
install -m644 ${startdir}/src/glibc-${pkgver}/nscd/nscd.conf ${startdir}/pkg/etc/nscd.conf
install -m755 ${startdir}/src/nscd ${startdir}/pkg/etc/rc.d/nscd
install -m755 ${startdir}/src/locale-gen ${startdir}/pkg/usr/sbin
- install -m644 ${startdir}/src/locale.gen ${startdir}/pkg/etc/locale.gen
sed -i -e 's/^\tserver-user/#\tserver-user/' ${startdir}/pkg/etc/nscd.conf || return 1
@@ -78,6 +77,20 @@
rm -fv ${startdir}/pkg/usr/sbin/{zdump,zic}
rm -rfv ${startdir}/pkg/usr/share/zoneinfo
+ # create /etc/locale.gen
+ cp ${startdir}/src/locale.gen.txt ${startdir}/pkg/etc/locale.gen
+ sed -i "s|/| |g" ${startdir}/src/glibc-${pkgver}/localedata/SUPPORTED
+ sed -i 's|\\| |g' ${startdir}/src/glibc-${pkgver}/localedata/SUPPORTED
+ sed -i "s|SUPPORTED-LOCALES=||" ${startdir}/src/glibc-${pkgver}/localedata/SUPPORTED
+ cat ${startdir}/src/glibc-${pkgver}/localedata/SUPPORTED >> ${startdir}/pkg/etc/locale.gen
+ sed -i "s|^|#|g" ${startdir}/pkg/etc/locale.gen
+
+ # disable broken locales
+ # http://sourceware.org/bugzilla/show_bug.cgi?id=5237
+ sed -i "s|^#lo_LA UTF-8|##lo_LA UTF-8 ### currently broken ###|" ${startdir}/pkg/etc/locale.gen
+ # http://sourceware.org/bugzilla/show_bug.cgi?id=5238
+ sed -i "s|^#ug_CN UTF-8|##ug_CN UTF-8 ### currently broken ###|" ${startdir}/pkg/etc/locale.gen
+
if [ "${CARCH}" = "x86_64" ]; then
# fix for the linker
sed -i '/RTLDLIST/s%/ld-linux.so.2 /lib64%%' ${startdir}/pkg/usr/bin/ldd
Index: core/base/glibc/glibc.install
diff -u core/base/glibc/glibc.install:1.7 core/base/glibc/glibc.install:1.8
--- core/base/glibc/glibc.install:1.7 Sun Mar 4 09:07:13 2007
+++ core/base/glibc/glibc.install Fri Nov 2 14:20:38 2007
@@ -47,6 +47,11 @@
==> additional locales, please enable them in /etc/locale.gen and run
==> /usr/sbin/locale-gen
==>
+ ==> Check /etc/locale.gen.pacnew for new supported and broken locales
+ ==> currently broken:
+ ==> #lo_LA UTF-8
+ ==> #ug_CN UTF-8
+ ==>
_EOF
# Check active locales, enable the ones that are in use
loc=("$LANG"
Index: core/base/glibc/locale.gen.txt
diff -u /dev/null core/base/glibc/locale.gen.txt:1.1
--- /dev/null Fri Nov 2 14:20:38 2007
+++ core/base/glibc/locale.gen.txt Fri Nov 2 14:20:38 2007
@@ -0,0 +1,23 @@
+# Configuration file for locale-gen
+#
+# lists of locales that are to be generated by the locale-gen command.
+#
+# Each line is of the form:
+#
+# <locale> <charset>
+#
+# where <locale> is one of the locales given in /usr/share/i18n/locales
+# and <charset> is one of the character sets listed in /usr/share/i18n/charmaps
+#
+# Examples:
+# en_US ISO-8859-1
+# en_US.UTF-8 UTF-8
+# de_DE ISO-8859-1
+# de_DE at euro ISO-8859-15
+#
+# The locale-gen command will generate all the locales,
+# placing them in /usr/lib/locale.
+#
+# A list of supported locales is included in this file.
+# Uncomment the ones you need.
+#
More information about the arch-commits
mailing list